
const pagedata = {
    state: {
        list:{
        limit: 10,
        page: 1,
        keywords: '',
        start_time: '',
        end_time: '',
        type: '',
        p_type: 2,
        sort_type: '' ,
        patient_id:0
        },
        pagestate:""
        
        
    },

    mutations: {
        SET_PAGEDATA: (state, pagedata) => {
            state.list = pagedata
            console.log(pagedata,'store里面的pagedata')
        },
        SET_PAGENAME: (state, pagedata) => {
            state.pagestate = pagedata
            console.log(state,'store里面的pagestate')
        },
    },

    actions: {
        UPDATE_PAGEDATA({commit},param ){
            commit('SET_PAGEDATA',param)
        }

    }
}

export default pagedata
